/*
 * 作成日: 2007/11/09
 */
package net.sourceforge.swingx;

import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;

public abstract class SxMouseAdapter extends MouseAdapter {
	public void mouseReleased(MouseEvent e) {
		// ポップアップメニューを表示する。
		if (e.isPopupTrigger()) {
			mousePopup(e);
		}
	}
	public void mousePressed(MouseEvent e) {
		// ポップアップメニューを表示する。
		if (e.isPopupTrigger()) {
			mousePopup(e);
		}
	}
	protected abstract void mousePopup(MouseEvent event);
}
